uuid: 8dea8848-04d9-4310-b515-45e98337030c
langcode: en
status: true
dependencies:
  enforced:
    module: {  }
id: l10n_server_group_membership_user
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - Content
  - L10n
migration_group: group
label: 'Group Membership User'
source:
  plugin: l10n_migrate_server_group_membership_user
  key: migrate
process:
  mid: id
  gid: gid
  uid:
    plugin: migration_lookup
    migration: localize_d7_user
    source: uid
  entity_id: etid
  label: name
  type: translation-group_membership
  created: created
  group_roles:
    plugin: static_map
    source: rids
    map:
      1: translation-outsider
      2: translation-member
      10: translation-self_moderator
      12: translation-community_moderator
      14: translation-community_manager
destination:
  plugin: 'entity:group_content'
  default_bundle: translation-group_membership
migration_dependencies:
  required:
    - localize_d7_user
    - l10n_server_group
